#include <stdlib.h>
#include <time.h>

#include "common.h"
#include "numbers.h"


static WINDOW* window = NULL;
static int height;
static int width;

void numbers_init(WINDOW* win, int h, int w)
{
    window = win;
    height = h;
    width = w;

    mvwprintw(window, 0, START_COL, " Number Research ");
    wrefresh(window);
}

void* numbers_refresh(void* arg)
{
    srand((unsigned) time(NULL));
    mvwprintw(window, START_ROW, START_COL, "%d", rand());
    wrefresh(window);
}

void numbers_destroy()
{
}
