#include <stdlib.h>
#include <time.h>

#include "common.h"
#include "bool.h"


static WINDOW* window = NULL;
static int height;
static int width;
static int counter = 0;

const double MAX_X = 38.13428976038013;
const double MIN_Y = -122.61858623117328;
const double MIN_X = 37.22568446282394;
const double MAX_Y = -121.59685781209097;

void bool_init(WINDOW* win, int h, int w)
{
    window = win;
    height = h;
    width = w;

    mvwprintw(window, 0, START_COL, " Bool Ideas ");
    wrefresh(window);
}

double drand(double low,double high)
{
    srand((unsigned) time(NULL));
    return ((double)rand() * (high - low)) / (double)RAND_MAX + low;
}

void* bool_refresh(void* arg)
{
    if (counter++ % 10 == 0)
    {
	double x = drand(MIN_X, MAX_X);
	double y = drand(MIN_Y, MAX_Y);
    	mvwprintw(window, 2, START_COL, "%f, %f", x, y);
	wrefresh(window);
    }
}

void bool_destroy()
{
}
